function y = invCumGaussian(x)

% INVCUMGAUSSIAN Computes inverse of the cumulative Gaussian.
%
%	Description:
%
%	INVCUMGAUSSIAN(X, Y) computes the inverse of the cumulative
%	Gaussian.
%	 Arguments:
%	  X - value between 0 and 1 to map onto the real line.
%	  Y - the inverse of the cumulative Gaussian.
%	
%
%	See also
%	CUMGAUSSIAN, ERFINV


%	Copyright (c) 2005 Neil D. Lawrence
% 	invCumGaussian.m version 1.2


y = erfinv(x*2 - 1)*2/sqrt(2);